import { world } from "@minecraft/server"

world.afterEvents.playerBreakBlock.subscribe(f => {
    if (f.brokenBlockPermutation.type.id.includes('pumpkin') && !f.brokenBlockPermutation.type.id.includes('stem')) {
        const { x, y, z } = f.block.location
        if (Math.floor(Math.random() * 1000 + 1) <= 5 && !f.player.hasTag('pumpkin_sword')) {
            f.player.addTag('pumpkin_sword')
            f.player.runCommand(`execute @s ~ ~ ~ loot spawn ${x} ${y} ${z} loot pumpkin_sword`)
        }
    }
})